import { ModelConditionUtil, ModelConditionUtilImpl, FieldUtil, TableUtilImpl, IdType } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-02 09:56
 */
interface SysUser {
    /**
    * ID
    * @type { string }
    */
    id?: string;
    /**
    * 姓名
    * @type { string }
    */
    name?: string;
}
interface SysUserMCU extends ModelConditionUtil<SysUserMCU> {
    ID: FieldUtil<SysUserMCU>;
    NAME: FieldUtil<SysUserMCU>;
}
declare class SysUserMCUImpl extends ModelConditionUtilImpl<SysUserMCUImpl> implements SysUserMCU {
    newInstance(): SysUserMCUImpl;
    get ID(): FieldUtil<SysUserMCU>;
    get NAME(): FieldUtil<SysUserMCU>;
}
declare class SysUserMU extends TableUtilImpl<SysUserMCU, SysUser> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    constructor();
    createModelConditionUtil(): SysUserMCU;
    static get ID(): FieldUtil<SysUserMCU>;
    static get NAME(): FieldUtil<SysUserMCU>;
    get ID(): FieldUtil<SysUserMCU>;
    get NAME(): FieldUtil<SysUserMCU>;
}
export { SysUserMCU, SysUserMCUImpl, SysUser, SysUserMU };
